* As of 730, definition values can be changed with just an app restart.
* Adding, Deleting, or Changing definition names requires an *immediate* OS restart!

[#prefs#]
Log=1 ;Enable logging to KstubNNN.log (816+)

~~~ Forwarding ~~~
library and function default to "this"
 =>[[drive:\]path]library[.ext]:[function]
 =>[function]  ;search Msvcrt

~~~ Stubs ~~~
32/64-bit return value codes:
 =r#s#[e[#]][?]
 r# - value to return in edx:eax (required: int64 or hex64 (0x...))
 s# - number of dwords to pop from stack (required: unsigned32)
 e# - value for SetLastError (optional: unsigned32)
 ?  - prompt for r and e, use s (or 0 if no s)
 t  -> r-1s
 f  -> r0s
 z  -> r0s
 o  -> r1s
 p  -> r{64-bit parameter1}s

Stack pop count:
 0:      'C' function
 0..99+: # of WINAPI parameters

Sample SetLastError value codes (only when needed):
 e0:   0/ERROR_SUCCESS
 e,e1: 1/ERROR_INVALID_FUNCTION

MSDN notes for return values:
 STATUS_SUCCESS: 0
 S_OK: 0
 INVALID_HANDLE_VALUE: -1
 STATUS_NOT_IMPLEMENTED: ((NTSTATUS)0xC0000002L)


~~~ Definitions ~~~

[ADVAPI32.dll]
CredIsMarshaledCredentialW=       ;Opera 26
CredProfileLoaded=z1e
EnumServiceGroupW=
EqualDomainSid=
LsaAddPrivilegesToAccount=
LsaCreateAccount=
LsaCreateSecret=
LsaCreateTrustedDomain=
LsaDelete=
LsaEnumerateAccounts=
LsaEnumeratePrivileges=
LsaEnumeratePrivilegesOfAccount=
LsaEnumerateTrustedDomains=
LsaGetSystemAccessAccount=
LsaGetUserName=
LsaLookupPrivilegeDisplayName=
LsaOpenAccount=
LsaOpenSecret=
LsaOpenTrustedDomain=
LsaQueryInfoTrustedDomain=
LsaQuerySecret=
LsaRemovePrivilegesFromAccount=
LsaSetInformationPolicy=
LsaSetInformationTrustedDomain=
LsaSetSecret=
LsaSetSystemAccessAccount=
SystemFunction006=
SystemFunction007=
SystemFunction012=
SystemFunction014=      ;Icecat
SystemFunction020=	;Icecat
SystemFunction022=	;Icecat
SystemFunction026=	;Icecat
SystemFunction028=	;Icecat

[D3D9.DLL]
;Direct3DCreate9Ex=z2e        ; error VLC Video!

[DBGHELP.DLL]
SymGetModuleInfoEx=               ; FF52
SymGetModuleInfoEx64=             ; FF52
SymGetSymbolInfo=                 ; FF52
SymGetSymbolInfo64=               ; FF52 

[GDI32.DLL]
D3DKMTCreateDCFromMemory=         ; not required for FF45
D3DKMTDestroyDCFromMemory=        ; not required for FF45

[IPHLPAPI.DLL]
FreeMibTable=         ; Opera 26
GetIfTable2=          ; Opera 26
GetIpInterfaceEntry=  ; Opera 26

[KERNEL32.DLL]
;BaseCheckAppcompatCache=
;BaseDumpAppcompatCache=
;BaseFlushAppcompatCache=
;BaseUpdateAppcompatCache=
DeleteProcThreadAttributeList=            ;FF62
;EnumSystemLocalesEx=
GetCurrentProcessorNumber=
GetFileInformationByHandleEx=
;GetProductInfo=
GetUserDefaultLocaleName=o2               ; FF41,61
;InitializeProcThreadAttributeList=       ; FF62
K32GetMappedFileNameW=                    ; FF55
;InitOnceExecuteOnce=
K32EnumProcessModules=
K32GetModuleFileNameExA=
K32GetModuleInformation=
LZClose=                                  ; Speccy
LZCopy=                                   ; Speccy
LZOpenFileW=                              ; Speccy
LZSeek=                                   ; Speccy
RoGetActivationFactory=                   ; FF52
UpdateProcThreadAttribute=                ; FF62
WindowsCreateStringReference=             ; FF52

[LZ32.DLL]
DnsValidateName_W= 
WinHttpReadData=  
WinHttpReceiveResponse=

[msvcrt.dll]
_controlfp_s=>msvcr80.dll:              ;Icecat FF
_except_handler4_common=>msvcr80.dll:   ; Opera 26
_ftol2=>msvcrt7.dll:                    ; Opera 26 needed with additional Win7 files only
_ftol2_sse=>msvcrt7.dll:                ; Opera 26 needed with additional Win7 files only
_gcvt_s=>msvcr80.dll:                   ; Opera 26 
_i64toa_s=>msvcr80.dll:                 ; Opera 26
_ltoa_s=>msvcr80.dll:                   ; Opera 26
_ultoa_s==>msvcr80.dll:                 ; Opera 26
_snwprintf_s=>msvcr80.dll:            ; Icecat FF
_vsnprintf_s=>msvcr80.dll:            ; Icecat FF
_vsnwprintf_s=>msvcr80.dll:           ; Icecat FF
_wcslwr_s=>msvcr80.dll:               ; Icecat FF
_wfopen_s=>msvcr80.dll:               ; Icecat FF
_wsplitpath_s=>msvcr80.dll:           ; Opera 26
fopen_s=>msvcr80.dll:                 ; Icecat FF
memcpy_s=>msvcrt7.dll:                ; Opera 26 needed with additional Win7 files only
sprintf_s=>msvcr80.dll:               ; Opera 26
strcat_s=>msvcr80.dll:                ; Opera 26
strcpy_s=>msvcr80.dll:                ; Icecat FF Opera26
strncpy_s=>msvcr80.dll:               ; Opera 26
strtok_s=>msvcr80.dll:                ; Icecat FF
swprintf_s=>msvcr80.dll:              ; Icecat FF
swscanf_s=>msvcr80.dll:               ; Opera 26
wcscat_s=>msvcr80.dll:                ; Opera 26
wcsncpy_s=>msvcr80.dll:               ; Icecat 38.8

[NETAPI32.DLL]
DsRoleFreeMemory=                   ; FF38
DsRoleGetPrimaryDomainInformation=  ; FF38
I_NetDfsIsThisADomainName=          ; FF38
I_NetGetDCList=                     ; Otter
I_NetLogonControl=                  ; FF38
I_NetNameCompare=                   ; FF38
I_NetPathCanonicalize=              ; FF38
I_NetPathCompare=                   ; FF38
I_NetPathType=                      ; FF38
NetapipBufferAllocate=              ; FF38
NetAuditClear=                      ; FF38
NetAuditRead=                       ; FF38
NetAuditWrite=                      ; FF38
NetConfigGet=                       ; FF38
NetConfigGetAll=                    ; FF38
NetConfigSet=                       ; FF38
NetConnectionEnum=                  ; FF38
NetDfsGetInfo=                      ; FF52 
NetErrorLogClear=                ; FF38  
NetErrorLogRead=                 ; FF38
NetErrorLogWrite=                ; FF38
NetFileClose=                    ; FF38
NetFileEnum=                     ; FF38
NetGroupAdd=                     ; FF38
NetGroupAddUser=                 ; FF38
NetGroupDel=                     ; FF38
NetGroupDelUser=                 ; FF38
NetGroupSetInfo=                 ; FF38
NetGroupSetUsers=                ; FF38
NetpNtStatusToApiStatus=         ; FF38
NetQueryDisplayInformation=      ; FF38
NetReplExportDirAdd=             ; FF38
NetReplExportDirDel=             ; FF38
NetReplExportDirEnum=            ; FF38
NetReplExportDirGetInfo=         ; FF38
NetReplExportDirLock=            ; FF38
NetReplExportDirSetInfo=         ; FF38
NetReplExportDirUnlock=          ; FF38
NetReplGetInfo=                  ; FF38
NetReplImportDirAdd=             ; FF38
NetReplImportDirDel=             ; FF38
NetReplImportDirEnum=            ; FF38
NetReplImportDirGetInfo=         ; FF38
NetReplImportDirLock=            ; FF38
NetReplImportDirUnlock=          ; FF38
NetReplSetInfo=                  ; FF38
NetServerDiskEnum=               ; FF38
NetServerSetInfo=                ; FF38
NetServiceControl=               ; FF38
NetServiceEnum=                  ; FF38
NetServiceGetInfo=               ; FF38
NetServiceInstall=               ; FF38
NetShareCheck=                   ; FF38
NetShareDelSticky=               ; FF38
NetShareEnumSticky=              ; Otter
NetUserAdd=                      ; FF38
NetUserModalsGet=                ; FF38
NetUserModalsSet=                ; FF38
NetUserSetGroups=                ; FF38
NetUserSetInfo=                  ; FF38
NetWkstaSetInfo=                 ; FF38
NetWkstaUserEnum=                ; FF38
NetWkstaUserGetInfo=             ; FF38
RxNetAccessAdd=                  ; FF38
RxNetAccessDel=                  ; FF38
RxNetAccessEnum=                 ; FF38
RxNetAccessGetInfo=              ; FF38
RxNetAccessGetUserPerms=         ; FF38
RxNetAccessSetInfo=              ; FF38

[ntdll.dll]
_alloca_probe=
_aulldiv=>ROS\ntdll.dll:          ; PCXFirefox
_allmul=>ROS\ntdll.dll:           ; PCXFirefox
NlsMbCodePageTag= 
NlsMbOemCodePageTag=
NtImpersonateAnonymousToken=
NtUnloadKeyEx=z1e
RtlAcquireSRWLockExclusive=
RtlAcquireSRWLockShared=
RtlCompareMemoryUlong=            ; Opera26
RtlConvertExclusiveToShared=      ; FF38
RtlConvertSharedToExclusive=      ; FF38 
RtlCaptureContext=                ; FF52 
RtlCopyLuid=
RtlDeleteElementGenericTable=
RtlDoesFileExists_U= 
RtlEnumerateGenericTable=
RtlGetElementGenericTable=
RtlGetFullPathName_U= 
RtlInitializeGenericTable=
RtlInsertElementGenericTable=
RtlIpv6AddressToStringA=
RtlIpv6StringToAddressA=o3
RtlIpv6StringToAddressW=o3
RtlIsDosDeviceName_U=
RtlIsGenericTableEmpty=
RtlIsTextUnicode=                 ; Speccy
RtlLengthSecurityDescriptor=
RtlMakeSelfRelativeSD= 
RtlNtPathNameToDosPathName=  
RtlNtStatusToDosError=
RtlQueryPerformanceCounter=
RtlQueryTimeZoneInformation=
RtlRandom=                        ; icecat
RtlReleaseSRWLockExclusive=
RtlReleaseSRWLockShared=
RtlRunOnceExecuteOnce=
RtlSelfRelativeToAbsoluteSD=
RtlSetLastWin32Error=
RtlStringFromGUID=
RtlUnhandledExceptionFilter=       ; FF52
RtlUnicodeToOemN=
RtlUpcaseUnicodeStringToOemString=

[POWRPROF.DLL]
PowerDeterminePlatformRole=        ; Opera 26

[OLE32.dll]
CoGetContextToken=                 ; FF52
CoGetInterceptor=                  ; FF52
CoGetInterceptorFromTypeInfo=      ; FF52

[RASAPI32.DLL]
RasfileClose=                      ; FF38
RasfileDeleteLine=                 ; FF38
RasfileFindFirstLine=              ; FF38
RasfileFindLastLine=               ; FF38
RasfileFindNextKeyLine=            ; FF38
RasfileFindNextLine=               ; FF38 
RasfileFindPrevLine=               ; FF38
RasfileFindSectionLine=            ; FF38
RasfileGetKeyValueFields=          ; FF38
RasfileGetLine=                    ; FF38
RasfileGetLineMark=                ; FF38
RasfileGetSectionName=             ; FF38
RasfileInsertLine=                 ; FF38
RasfileLoad=                       ; FF38
RasfilePutKeyValueFields=          ; FF38
RasfilePutLineMark=                ; FF38
RasfilePutSectionName=             ; FF38 
RasfileWrite=                      ; FF38
RasGetEapUserDataW=                ; FF38
RasScriptGetIpAddress=             ; FF38
RasScriptInit=                     ; FF38
RasScriptReceive=                  ; FF38
RasScriptSend=                     ; FF38
RasScriptTerm=                     ; FF38

[RPCRT4.dll]
I_RpcGetExtendedError=             ; FF52
NdrAsyncServerCall=

[SECUR32.DLL]
LsaLogonUser=                      ; FF52
LsaDeregisterLogonProcess=         ; FF52
TranslateNameW=                    ; FF52

[SETUPAPI.dll]
CM_Connect_MachineW= 
CM_Disconnect_Machine= 
CM_Locate_DevNode_ExW=
CM_Open_DevNode_Key=               ; Speccy

[USER32.DLL]
CloseGestureInfoHandle=       ; Opera 26
CloseTouchInputHandle=        ; Opera 26
RegisterTouchWindow=          ; Opera 26